



<script>

import { getModalStore } from '@skeletonlabs/skeleton';
import { Toast, getToastStore } from '@skeletonlabs/skeleton';

import { ask_to_delete_trend } from '$lib/mongo/trends/ask_to_delete_trend.mongo.js'

const modalStore = getModalStore ();
const toastStore = getToastStore();

let input_fiber = ""

const delete_trend = async () => {
	const domain = $modalStore[0].meta.domain;
	console.info ("delete_trend:", { domain, input_fiber });
	
	if (input_fiber === `delete ${ $modalStore[0].meta.domain }`) {
		const { enhanced } = await ask_to_delete_trend ({
			domain
		});
		
		console.info ({ enhanced });

		$modalStore[0].meta.after ();

		
		
		
	}
	
	
}

</script>


{#if $modalStore[0] }
<div
	style="
		position: relative;
	
		max-width: 600px;
		max-height: 600px;
		
		padding: 1cm;
		height: 100%;
		width: 100%;
		
		background: white;
		border-radius: 8px;
	"
>
	<header>The trend can be deleted by typing <b>delete {$modalStore[0].meta.domain }</b> then pressing delete.</header>
	
	<div style="height: 0.5cm" />
	
	<article>
		<label class="label">
			<input 
				bind:value={ input_fiber }
				style="
					padding: 0.25cm;
				"
				class="input" type="text" placeholder="Input" />
		</label>
	</article>

	<div style="height: 0.5cm" />
	
	<div
		style="
			display: flex;
			
			justify-content: space-between;
		"
	>
		<button 
			type="button" 
			
			on:click={() => {
				modalStore.clear ()
			}}
			
			style="
				padding: 0.25cm 1.5cm;
			"
			class="btn variant-filled"
			
		>Cancel</button>
	
		<button 
			type="button" 
			disabled={ input_fiber !== `delete ${ $modalStore[0].meta.domain }` }
			
			on:click={ delete_trend }
			
			style="
				padding: 0.25cm 1.5cm;
			"
			class="btn variant-filled-error"
			
		>Delete</button>
	</div>
	
	
</div>
{/if}